# Class: YARD::Handlers::C::ConstantHandler

Inherits:
  Base
  - Object
  - Base
  - Base
  - YARD::Handlers::C::ConstantHandler
  show all

Defined in:
  lib/yard/handlers/c/constant_handler.rb

## Overview

Since:

- 0.8.0

## Constant Summary collapse

MATCH =

Since:

- 0.8.0

      /\brb_define_((?:readonly_)?variable|(?:global_)?const)
      \s*\((?:\s*(\w+),)?\s*"(\w+)",\s*(.*?)\s*\)\s*;/xm

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Instance Method Summary collapse

- #process ⇒ void

  Main processing callback.

### Methods included from HandlerMethods

#handle_alias, #handle_attribute, #handle_class, #handle_constants, #handle_method, #handle_module

### Methods included from YARD::Handlers::Common::MethodHandler

#add_predicate_return_tag

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type

## Constructor Details

This class inherits a constructor from YARD::Handlers::Base

## Instance Method Details

### #process ⇒ `void`

This method returns an undefined value.

Main processing callback

    8
    9
    10
    11
    12

    # File 'lib/yard/handlers/c/constant_handler.rb', line 8

    process do
      statement.source.scan(MATCH) do |type, var_name, const_name, value|
        handle_constants(type, var_name, const_name, value)
      end
    end